Download it now!
Bug 121440 - EDITING DOCX, Word document edited in Writer by typing after and before footnote number, the typed text become superscript
Summary: EDITING DOCX, Word document edited in Writer by typing after and before footn...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.2 target:6.1.6
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-11-15 10:12 UTC by NISZ LibreOffice Team
Modified: 2019-03-12 18:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
An example file (22.67 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-15 10:12 UTC, NISZ LibreOffice Team
Details
A screenshot showcasing the issue. (119.24 KB, image/png)
2018-11-15 10:12 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-15 10:12:15 UTC
Description:
Microsoft Word 2010 document edited in LibreOffice Writer by typing after and before footnote number, the typed text become superscript.

Steps to Reproduce:
1. Create a new document in Microsoft Word.
2. Click on Preferences and choose Insert Footnote.
3. Save the file as DOCX.
4. Open the same file in LibreOffice Writer.
5. Type text after and before footnote number.

Actual Results:
Typing in Writer after and before footnote number the typed text become superscript.

Expected Results:
The typed text should be normal.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-15 10:12:44 UTC
Created attachment 146657 [details]
An example file
Comment 2 NISZ LibreOffice Team 2018-11-15 10:12:59 UTC
Created attachment 146658 [details]
A screenshot showcasing the issue.
Comment 3 Durgapriyanka 2018-11-15 23:18:24 UTC
Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group

Microsoft Office Word 2007

Thank you for reporting the bug. I do confirm that the bug is present.
Comment 4 Xisco Faulí 2018-11-16 11:39:23 UTC
Regression introduced by:

author	Vasily Melenchuk <Vasily.Melenchuk@cib.de>	2017-08-18 22:14:08 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-11-10 02:01:57 +0100
commit	eaa9cf6a3069fba3d82c046f0041bfb537d9e648 (patch)
tree	55806b023e2f7c380a877d0df6b0bd5bb53ad46e
parent	7f603dd111afcc30eec8bbec97efc16ad8b4c4d1 (diff)
tdf#43017: Support for DOCX hyperlinks character properties

Bisected with: bibisect-linux64-6.0

Adding Cc: to Vasily Melenchuk
Comment 5 Commit Notification 2019-02-28 12:38:18 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/691ca4e1a3e510d54894a1e7df7fa4ad9f9cba11%5E%21

tdf#121440 writerfilter: do not use imported style for foot/endnotes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-03-04 11:33:11 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f3578459912dca8ebf2bd62a956e2812ee41b63e%5E%21

tdf#121440 writerfilter: do not use imported style for foot/endnotes

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-03-04 11:33:25 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/be6261d522d24bd574602fee43715d46ea2710b2%5E%21

tdf#121440 writerfilter: do not use imported style for foot/endnotes

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-03-12 18:31:43 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Vasily Melenchuk, thanks for fixing this issue!